<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gapc__direct__adv__report__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gapc_direct_adv_report_param_t</compoundname>
    <includes local="no">cy_ble_stack_gap_central.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gapc__direct__adv__report__param__t_1a0943396752b56e23ea38f0f65f122329" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_gapc_direct_adv_report_param_t::localBdAddr</definition>
        <argsstring />
        <name>localBdAddr</name>
        <briefdescription>
<para>Buffer containing Random Device Address of Scanner (local device) This is the address to which the directed advertisements are being directed. </para>        </briefdescription>
        <detaileddescription>
<para>BD address should be in Little Endian format. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="323" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="323" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__direct__adv__report__param__t_1a074107e449977c047b25569be9d03c75" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_gapc_direct_adv_report_param_t::peerBdAddr</definition>
        <argsstring />
        <name>peerBdAddr</name>
        <briefdescription>
<para>Buffer containing Device Address of advertiser sending the directed advertisement. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="326" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="326" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__direct__adv__report__param__t_1a6be3e9c81288d153e2af24c239030377" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1gad0a9cb0c0f0d1ced99d802c619fe7345">cy_en_ble_gap_adv_addr_type_t</ref></type>
        <definition>cy_en_ble_gap_adv_addr_type_t cy_stc_ble_gapc_direct_adv_report_param_t::peerBdAddrType</definition>
        <argsstring />
        <name>peerBdAddrType</name>
        <briefdescription>
<para>Device Address type of advertiser sending the directed advertisement. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="329" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="329" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__direct__adv__report__param__t_1a2d0eafe72fe7e0fe81cc57a667236f78" kind="variable" mutable="no" prot="public" static="no">
        <type>int8_t</type>
        <definition>int8_t cy_stc_ble_gapc_direct_adv_report_param_t::rssi</definition>
        <argsstring />
        <name>rssi</name>
        <briefdescription>
<para>Rssi of the responding device. </para>        </briefdescription>
        <detaileddescription>
<para>Range: -127 &lt;= N &lt;= +20 Units: dBm N = 127 -&gt; RSSI not available </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="337" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="337" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Direct Advertising Report received by GAP Central. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="339" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="316" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="317" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gapc__direct__adv__report__param__t_1a0943396752b56e23ea38f0f65f122329" virt="non-virtual"><scope>cy_stc_ble_gapc_direct_adv_report_param_t</scope><name>localBdAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__direct__adv__report__param__t_1a074107e449977c047b25569be9d03c75" virt="non-virtual"><scope>cy_stc_ble_gapc_direct_adv_report_param_t</scope><name>peerBdAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__direct__adv__report__param__t_1a6be3e9c81288d153e2af24c239030377" virt="non-virtual"><scope>cy_stc_ble_gapc_direct_adv_report_param_t</scope><name>peerBdAddrType</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__direct__adv__report__param__t_1a2d0eafe72fe7e0fe81cc57a667236f78" virt="non-virtual"><scope>cy_stc_ble_gapc_direct_adv_report_param_t</scope><name>rssi</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>